/**
 * @template {import("./config").ArgType} Args
 * @param {import("./config").ComposerConfig<Args>} config
 * @param {import("./config").ComposerCheckConfig<Args>} checks
 * @param {import("./remoteControl.js").RemoteControlOptions} [remoteControlOptions]
 */
export declare function executeComposer(config: any, checks: any, remoteControlOptions?: any): Promise<void>;
/**
 *
 * @param {import("commander").OptionValues} options
 * @returns
 */
export declare function determineWorkingDirectory(options: any): any;
/**
 * @template {import("./config").ArgType} Args
 * @param {import("./config").ComposerConfig<Args>} config
 * @param {import("./config").Workspace<Args>} workspace
 */
export declare function installPackages(config: any, workspace: any): Promise<void>;
/**
 *
 * @param {any} pkg
 * @returns {{id: string, package: string, version: string}}
 */
export declare function generateComposerInfo(pkg: any): {
    id: any;
    package: any;
    version: any;
};
/**
 *
 * @param {import("./config").PreInstallationCheck[]} checks
 */
export declare function runPreInstallationChecks(checks: any): Promise<void>;
/**
 * @template {import("./config").ArgType} Args
 * @param {import("./config").PostInstallationCheck<Args>[]} checks
 */
export declare function runPostInstallationChecks(checks: any): Promise<void>;
