/**
 * @typedef PromptOption
 * @property {string} label
 * @property {boolean | string} value
 * @property {string} [hint]
 */
/**
 *
 * @param {string} message
 */
export declare function startPrompts(message: any): void;
/**
 *
 * @param {string} message
 */
export declare function endPrompts(message: any): void;
/**
 *
 * @param {string} question
 * @param {boolean} initialValue
 * @returns
 */
export declare function booleanPrompt(question: any, initialValue: any): Promise<any>;
/**
 *
 * @param {string} question
 * @param {boolean | string} initialValue
 * @param {PromptOption[]} options
 * @returns {Promise<string | boolean>}
 */
export declare function selectPrompt(question: any, initialValue: any, options: any): Promise<any>;
/**
 *
 * @param {string} question
 * @param {string} [placeholder=""]
 * @param {string} [initialValue=""]
 * @returns
 */
export declare function textPrompt(question: any, placeholder?: string, initialValue?: string): Promise<any>;
/**
 *
 * @param {string} question
 * @param {PromptOption[]} options
 * @returns {Promise<string[]>}
 */
export declare function multiSelectPrompt(question: any, options: any): Promise<any>;
